<ion-header>
  <ion-toolbar class="header">
    <ion-title>Perfil</ion-title>
    <ion-buttons slot="start">
      <ion-menu-button autoHide="false"></ion-menu-button>
    </ion-buttons>
    <ion-buttons slot="end">
      <ion-icon name="search"></ion-icon>
    </ion-buttons>
  </ion-toolbar>
</ion-header>

<ion-content padding>
  <form #form="ngForm" (ngSubmit)="editar(form)" method="post" *ngIf="usuario">
    <!-- <ion-list [(formGroup)]="validacao"> -->
      <ion-item hidden>
        <ion-input type="text" name="id" [(ngModel)]="usuario.id"></ion-input>
      </ion-item>
      <ion-item hidden>
        <ion-input type="text" name="id_endereco" [(ngModel)]="usuario.id_endereco"></ion-input>
      </ion-item>
      <ion-item>
        <img src="{{usuario.foto.changingThisBreaksApplicationSecurity}}">
      </ion-item>
      <ion-item>
        <ion-label position="floating">Nome</ion-label>
        <ion-input type="text" name="nome" [(ngModel)]="usuario.nome"></ion-input>
      </ion-item>
      <ion-item>
        <ion-label position="floating">Telefone</ion-label>
        <ion-input type="text" name="telefone" [(ngModel)]="usuario.telefone"></ion-input>
      </ion-item>
      <ion-item>
        <ion-label>Estado</ion-label>
        <ion-select interface="popover" placeholder="Selecione o estado"
          (ionChange)="busca_cidades($event.detail.value)" name="estado" [(ngModel)]="usuario.estado"
          [(compareWith)]="comparacao">
          <ion-select-option *ngFor="let estado of estados" value="{{estado.id}}">{{estado.nome}}</ion-select-option>
        </ion-select>
        <!-- <ion-select interface="popover" placeholder="Selecione o estado" (ionChange)="busca_cidades($event.detail.value)"
        name="estado" [(ngModel)]="usuario.estado">
        <ion-select-option *ngFor="let estado of estados" selected="{{estado.id==usuario.estado}}" value="{{estado.id}}">{{estado.nome}}</ion-select-option>
      </ion-select> -->
        <!-- <ion-select [ngModel]="usuario.estado">
          <ion-option *ngFor="let form of estados" value="{{form.id}}" selected="{{form.id == usuario.estado}}">{{form.name}}</ion-option>
        </ion-select> -->
      </ion-item>
      <ion-item>
        <ion-label>Cidade</ion-label>
        <ion-select interface="popover" placeholder="Selecione a cidade" disabled="{{desabilitaCidade}}" name="cidade"
          (ngModel)="usuario.cidade">
          <ion-select-option *ngFor="let cidade of cidades" value="{{cidade.id}}">{{cidade.nome}}</ion-select-option>
        </ion-select>
      </ion-item>
      <ion-item>
        <ion-label position="floating">CEP</ion-label>
        <ion-input type="text" name="cep" [(ngModel)]="usuario.cep"></ion-input>
      </ion-item>
      <ion-item>
        <ion-label position="floating">Rua</ion-label>
        <ion-input type="text" name="rua" [(ngModel)]="usuario.rua"></ion-input>
      </ion-item>
      <ion-item>
        <ion-label position="floating">Bairro</ion-label>
        <ion-input type="text" name="bairro" [(ngModel)]="usuario.bairro"></ion-input>
      </ion-item>
      <ion-item>
        <ion-label position="floating">Complemento</ion-label>
        <ion-input type="text" name="complemento" [(ngModel)]="usuario.complemento"></ion-input>
      </ion-item>
      <ion-item>
        <ion-label position="floating">Número</ion-label>
        <ion-input type="text" name="numero" [(ngModel)]="usuario.numero"></ion-input>
      </ion-item>
      <ion-button type="submit" expand="block" color="success" (click)="salvar()">Salvar</ion-button>
    <!-- </ion-list> -->
  </form>

</ion-content>